指定されたメールに対して、指定されたロールを持つ組織に参加するための保留中の招待を作成します。
POST /api/v1 /organizations/{id}/invitations
curl \
--request POST 'https://agentengine.mongodb.com/api/v1/organizations/{id}/invitations' \
--header "Authorization: $API_KEY" \
--header "Content-Type: application/json" \
--data '{
"email": "string",
"role": "string"
}'
リクエスト例
{
"email": "string",
"role": "string"
}
応答の例(406)
操作は利用できません
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "This operation supports text/event-stream, which the Accept header excludes. Remove unsupported media-type parameters or accept this type with a positive q value.",
"error": 406,
"errorCode": "UNACCEPTABLE_MEDIA_TYPE",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "The requested API version is not supported. Supported versions: 2026-09-20-preview.",
"error": 406,
"errorCode": "UNSUPPORTED_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
応答の例(406)
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
応答の例(201)
{
"created_at": "string",
"expires_at": "string",
"invitation_code": "string",
"invitation_id": "string",
"invitee_email": "string",
"role": "string"
}
応答の例(201)
{
"created_at": "string",
"expires_at": "string",
"invitation_code": "string",
"invitation_id": "string",
"invitee_email": "string",
"role": "string"
}
応答の例(400)
{
"code": "string",
"error": "string",
"success": true
}
応答の例(400)
{
"code": "string",
"error": "string",
"success": true
}
応答の例(404)
{
"code": "string",
"error": "string",
"success": true
}
応答の例(404)
{
"code": "string",
"error": "string",
"success": true
}
応答の例(409)
{
"code": "string",
"error": "string",
"success": true
}
応答の例(409)
{
"code": "string",
"error": "string",
"success": true
}
応答の例(500)
{
"code": "string",
"error": "string",
"success": true
}
応答の例(500)
{
"code": "string",
"error": "string",
"success": true
}